summaryrefslogtreecommitdiff
path: root/resteasy/libexec/resteasy-umount
diff options
context:
space:
mode:
Diffstat (limited to 'resteasy/libexec/resteasy-umount')
-rwxr-xr-xresteasy/libexec/resteasy-umount12
1 files changed, 12 insertions, 0 deletions
diff --git a/resteasy/libexec/resteasy-umount b/resteasy/libexec/resteasy-umount
new file mode 100755
index 0000000..08c0451
--- /dev/null
+++ b/resteasy/libexec/resteasy-umount
@@ -0,0 +1,12 @@
+#!/bin/bash
+USAGE=""
+
+# shellcheck source=resteasy-helper.sh
+source "$(resteasy --exec-path)/resteasy-helper.sh"
+
+set -o errexit
+set -o nounset
+
+[[ "$#" -eq 0 ]] || die_with_usage "too many arguments"
+
+umount "$RESTEASY_MOUNT_POINT"